module Event where

import qualified Board
import qualified Pack

data T
  = Moved Board.Dir | Picked Pack.ID
  | Dropped Pack.ID | Delivered Pack.ID
  | Spawned Board.Pos
  | BadPick Pack.ID | BadDrop Pack.ID | WasPushed | BadPush | GoodPush
  | Died String Integer Integer
  deriving (Read,Show)

showForPlayer (Moved p)       = show p
showForPlayer (Picked p)      = "P " ++ show p
showForPlayer (Dropped p)     = "D " ++ show p
showForPlayer (Spawned (x,y)) = "X " ++ show x ++ " Y " ++ show y
showForPlayer (Delivered p)   = showForPlayer (Dropped p)
showForPlayer (BadPick _)     = ""
showForPlayer (BadDrop _)     = ""
showForPlayer WasPushed       = ""
showForPlayer BadPush         = ""
showForPlayer GoodPush        = ""
showForPlayer (Died _ _ _)    = ""







